    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface org.jdom.filter.Filter

public interface Filter

Classes which wish to modify the behaviour of the FilterList can implement the list filter interface in order to reduce the visibility of certain items in the list, or to restrict the mutability of the list.

Version:
  $Revision: 1.1 $, $Date: 2002/03/12 06:53:57 $
Author:
  Jools Enticknap, Bradley S. Huffman

##

canAdd(Object)

  Check to see if the object can be added to the list.

canRemove(Object)

  Check to see if the object can be removed from the list.

matches(Object)

  Check to see if the object matches a predefined set of rules.

##

canAdd

     public abstract boolean canAdd(Object obj)

  Check to see if the object can be added to the list.

  Parameters:
    obj - The object to verify.
  Returns:
    `true` if the object can be added.

canRemove

     public abstract boolean canRemove(Object obj)

  Check to see if the object can be removed from the list.

  Parameters:
    obj - The object to verify.
  Returns:
    `true` if the object can be removed.

matches

     public abstract boolean matches(Object obj)

  Check to see if the object matches a predefined set of rules.

  Parameters:
    obj - The object to verify.
  Returns:
    `true` if the object matches a predfined set of rules.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index